Name:		siril
Version:	0.8
Release:	20%{?dist}
Summary:	Siril is an astronomical image processing software for Linux

License:	GPLv2+
Group:		Applications/Engineering
URL:		http://sourceforge.net/projects/siril/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         siril-0.8-nobuf.patch
Patch1:         siril-0.8-c99.patch
Patch2:         siril-0.8-overflows.patch
Patch3:         siril-0.8-unused.patch
Patch4:         siril-0.8-return.patch
Patch5:         siril-0.8-bad-index.patch
Patch6:         siril-0.8-memset.patch
Patch7:         siril-0.8-string-overflows.patch
Patch8:         siril-0.8-format.patch

BuildRequires:	gtk+-devel, fftw3-devel, cfitsio-devel, netpbm-devel
Requires:	gtk+, fftw3, cfitsio

%description
SIRIL is an abbreviation for nothing except IRIS reversed with
a trailing L added for linux(though Siril has nothing linux-specific). 
It's an astronomical image processing software for Linux.

%prep
%setup -q
%patch0 -p1 -b .nobuf
%patch1 -p1 -b .c99
%patch2 -p1 -b .overflows
%patch3 -p1 -b .unused
%patch4 -p1 -b .return
%patch5 -p1 -b .index
%patch6 -p1 -b .memset
%patch7 -p1 -b .overflows
%patch8 -p1 -b .format

%build
%configure
make 'CFLAGS=%{optflags} -I/usr/include/cfitsio' %{_smp_mflags}

%install
install -Dm 755 src/siril $RPM_BUILD_ROOT%{_bindir}/siril
install -Dm 644 pixmaps/siril_1.xpm  $RPM_BUILD_ROOT%{_datadir}/siril/pixmaps/siril_1.xpm

%files
%doc COPYING AUTHORS NEWS README INSTALL
%{_bindir}/siril
%dir %{_datadir}/siril
%dir %{_datadir}/siril/pixmaps
%{_datadir}/siril/pixmaps/siril_1.xpm

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.8-17
- Fix format string security error
- Deal with the compile warnings
- Actually rebuild for the new cfitsio

* Fri Jan 10 2014 Orion Poplawski <orion@cora.nwra.com> - 0.8-16
- Rebuild for cfitsio 3.360

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 30 2013 Kevin Fenzi <kevin@scrye.com> - 0.8-14
- Rebuild for broken deps in rawhide

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 3 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.8-9
- Fix build
- Fix out of string bound writes (#494536)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 4 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.8-7
- Fix crash on incorrectly loaded pictures (#494536)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8-5
- Include unowned directories

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8-4
- Autorebuild for GCC 4.3

* Sat Nov 24 2007 Marek Mahut <mmahut@fedoraproject.org> - 0.8-3
- Initial build.
